package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterSupplyAggregate;
import com.lightinit.hsdatashow.entity.WaterSupplyAggregateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface WaterSupplyAggregateMapper {
    long countByExample(WaterSupplyAggregateExample example);

    int deleteByExample(WaterSupplyAggregateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterSupplyAggregate record);

    int insertSelective(WaterSupplyAggregate record);

    List<WaterSupplyAggregate> selectByExample(WaterSupplyAggregateExample example);

    WaterSupplyAggregate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterSupplyAggregate record, @Param("example") WaterSupplyAggregateExample example);

    int updateByExample(@Param("record") WaterSupplyAggregate record, @Param("example") WaterSupplyAggregateExample example);

    int updateByPrimaryKeySelective(WaterSupplyAggregate record);

    int updateByPrimaryKey(WaterSupplyAggregate record);

    List<WaterSupplyAggregate> getWaterSupplyAggregate();
}